Bug 184545 - installer crashes on second install
installer crashes on second install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 14:17 EST by Gerald Justice
Modified: 2008-03-10 00:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 00:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Justice 2006-03-09 14:17:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/417.9 (KHTML, like Gecko) Safari/417.8

Description of problem:
I have developed a kickstart script.  But because kickstart does not give fine enough control over 
partition placement on the disks, I manually do the disk partitioning using the Rescue CD and fdisk/
parted.  My KS script only uses "part ... --onpart ..." for everything that is created and there is no 
clearpart command.

I get the partitioning to my satisfaction and run the script.  It works and installs an OS.

I tweak the script in a very small way as to packages (not even groups) and adding commands to the 
post-install.

On the subsequent attempts It fails with the following error apparently well before anything to do with 
package management.  I try this on a second identical machine.  Same thing, first install goes, second 
and later fail. I try a third machine.  Same thing.  Note that I do NOT do anything interesting with the 
machine after the OS is installed, maybe install a few packages to debug what my script failed to do.  
No disk or partition table changes.

| Traceback (most recent call last):
|   File "/usr/bin/anaconda", line 1160, in ? 
|     intf.run(id, dispatch) 
|   File "/usr/lib/anaconda/text.py", line 447,
| in run
|     (step, args) = dispatch.currentStep()
|   File "/usr/lib/anaconda/dispatch.py", line
| 279, in currentStep
|     self.gotoNext()
|   File "/usr/lib/anaconda/dispatch.py", line
| 174, in gotoNext
|     self.moveStep()
|   File "/usr/lib/anaconda/dispatch.py", line
| 242, in moveStep
|     rc = apply(func, self.bindArgs(args))
|   File "/usr/lib/anaconda/autopart.py", line
| 1470, in doAutoPartition
|     doPartitioning(diskset, partitions,
| doRefresh = 0)
|   File "/usr/lib/anaconda/autopart.py", line
| 1028, in doPartitioning
|     (ret, msg) = processPartitioning(diskset,
| requests, newParts)
|   File "/usr/lib/anaconda/autopart.py", line
| 999, in processPartitioning
|     request.size =   
| request.getActualSize(requests, diskset)
|   File "/usr/lib/anaconda/partRequests.py",
| line 638, in getActualSize
|     partsize = req.getActualSize(partitions,
| diskset) 
| AttributeError: 'NoneType' object has no
| attribute 'getActualSize'   

Version-Release number of selected component (if applicable):
The version that's on the FC4 Install CD

How reproducible:
Always

Steps to Reproduce:
1. Brand new system, manual disk partition using Rescue disk
2. Kickstart script, non-interactive, using part --onpart
3. Try to reinstall the OS after successfully doing so first time.
  

Actual Results:  anaconda crash as detailed in description

Expected Results:  Install should have been redone.

Additional info:

12 drives (SATA) using sda, b, d, e, g, h, j, k in the install.  Not using c, f, i, l in install.
pairs identically partitioned as I am using s/w RAID: a with d, b with e, g with j, h with k.
These disks are 400G.
Comment 1 Gerald Justice 2006-03-09 15:30:09 EST
The crash occurs a few seconds after the hardware probe output:

Running anaconda, the Fedora Core system installer - please wait...
Probing for video card:   ATI Mach64
Probing for monitor type:   ADE2100V2 FL
Probing for mouse type:   Generic - 3 Button Mouse (PS/2)

On the most recent attempt I undefined all the disks (which are JBOD's on a 3ware controller) and 
redefined them--this also has the effect of clearing the disk partitions so they have to be remade.

My disk partitions look like this:

-/bin/sh-3.00# fdisk -l /dev/sda

Disk /dev/sda: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1           1        8001   83  Linux
/dev/sda2               2          29      224910   fd  Linux raid autodetect
/dev/sda3              30         629     4819500   82  Linux swap / Solaris
/dev/sda4             630       48629   385560000    5  Extended
/dev/sda5             630       48629   385559968+  83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdb

Disk /dev/sdb: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1               1           1        8001   83  Linux
/dev/sdb2               2         628     5036377+  fd  Linux raid autodetect
/dev/sdb3             629         629        8032+  83  Linux
/dev/sdb4             630       48629   385560000    5  Extended
/dev/sdb5             630       48629   385559968+  83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdc

Disk /dev/sdc: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdc1               1       48629   390612411   83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdd

Disk /dev/sdd: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdd1               1           1        8001   83  Linux
/dev/sdd2               2          29      224910   fd  Linux raid autodetect
/dev/sdd3              30         629     4819500   82  Linux swap / Solaris
/dev/sdd4             630       48629   385560000    5  Extended
/dev/sdd5             630       48629   385559968+  83  Linux
-/bin/sh-3.00# fdisk -l /dev/sde

Disk /dev/sde: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sde1               1           1        8001   83  Linux
/dev/sde2               2         628     5036377+  fd  Linux raid autodetect
/dev/sde3             629         629        8032+  83  Linux
/dev/sde4             630       48629   385560000    5  Extended
/dev/sde5             630       48629   385559968+  83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdf

Disk /dev/sdf: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdf1               1       48629   390612411   83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdg

Disk /dev/sdg: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdg1               1           1        8001   83  Linux
/dev/sdg2               2         315     2522205   fd  Linux raid autodetect
/dev/sdg3             316         629     2522205   fd  Linux raid autodetect
/dev/sdg4             630       48629   385560000    5  Extended
/dev/sdg5             630       48629   385559968+  83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdh

Disk /dev/sdh: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdh1               1           1        8001   83  Linux
/dev/sdh2               2         315     2522205   fd  Linux raid autodetect
/dev/sdh3             316         629     2522205   fd  Linux raid autodetect
/dev/sdh4             630       48629   385560000    5  Extended
/dev/sdh5             630       48629   385559968+  83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdi

Disk /dev/sdi: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdi1               1       48629   390612411   83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdj

Disk /dev/sdj: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdj1               1           1        8001   83  Linux
/dev/sdj2               2         315     2522205   fd  Linux raid autodetect
/dev/sdj3             316         629     2522205   fd  Linux raid autodetect
/dev/sdj4             630       48629   385560000    5  Extended
/dev/sdj5             630       48629   385559968+  83  Linux
-/bin/sh-3.00# fdisk -l /dev/sdk

Disk /dev/sdk: 399.9 GB, 399988752384 bytes
255 heads, 63 sectors/track, 48629 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdk1               1           1        8001   83  Linux
/dev/sdk2               2         315     2522205   fd  Linux raid autodetect
/dev/sdk3             316         629     2522205   fd  Linux raid autodetect
/dev/sdk4             630       48629   385560000    5  Extended
/dev/sdk5             630       48629   385559968+  83  Linux

and sdl is the same as sdc, f, and i.

Comment 2 Gerald Justice 2006-03-09 16:09:03 EST
And PS, I had to blow away the OS to do some tests on the disk hardware so the preliminary install is no 
longer available to work with and I am at a loss as to what changes I might even try just to get around this 
problem.
Comment 3 Gerald Justice 2006-03-09 19:34:55 EST
OK by the way, I remove the disk partitioning stuff from my KS script and let it autopartition and it 
works, even twice in a row.

Here is the disk partitioning part of the kickstart script:

#clearpart --all --initlabel

part raid.01                                          --onpart=sda2
part raid.02                                          --onpart=sdd2

part swap                                              --onpart=sda3
part swap                                              --onpart=sdd3

part /mnt/indx01            --fstype ext2              --onpart=sda1
part /mnt/indx02            --fstype ext2              --onpart=sdb1
part /mnt/indx04            --fstype ext2              --onpart=sdd1
part /mnt/indx05            --fstype ext2              --onpart=sde1
part /mnt/indx07            --fstype ext2              --onpart=sdg1
part /mnt/indx08            --fstype ext2              --onpart=sdh1
part /mnt/indx10            --fstype ext2              --onpart=sdj1
part /mnt/indx11            --fstype ext2              --onpart=sdk1

part raid.03                                           --onpart=sdb2
part raid.04                                           --onpart=sde2

part raid.05                                           --onpart=sdg2
part raid.06                                           --onpart=sdj2

part raid.07                                           --onpart=sdg3
part raid.08                                           --onpart=sdj3

part raid.09                                           --onpart=sdh2
part raid.10                                           --onpart=sdk2

part raid.11                                           --onpart=sdh3
part raid.12                                           --onpart=sdk3

raid /                    raid.03 raid.04 --device=md1 --level=1 --fstype ext3
raid /boot                raid.01 raid.02 --device=md0 --level=1 --fstype ext3
raid /var                 raid.05 raid.06 --device=md2 --level=1 --fstype ext3
raid /usr/cadc            raid.07 raid.08 --device=md3 --level=1 --fstype ext3
raid /var/home            raid.09 raid.10 --device=md4 --level=1 --fstype ext3
raid /mnt/spare           raid.11 raid.12 --device=md5 --level=1 --fstype ext3
Comment 4 Gerald Justice 2006-03-14 17:49:40 EST
I am pretty sure I know what the problem is.  For whatever reason, the installer looks for Linux Raid 
Autodetect partitions (and activates the metadevices).  These existing metadevices interfere with the 
installer activating new metadevices.  In any case, if I manually change the type of all such partitions to 
83 (Linux) then my problem goes away.

I would argue this is a bug since I am doing an install not an upgrade and I do not care about anything 
that might be on the disks.  And besides why should md's get special attention--the installer lets me 
overwrite simple partitions used for filesystems so why be careful about md's?

Thanks, emergency over.
Comment 5 Christian Iseli 2007-01-19 19:29:18 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 6 Red Hat Bugzilla 2007-06-11 23:06:28 EDT
requested by Jams Antill
Comment 7 petrosyan 2008-03-10 00:11:05 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.